pcl::search::OrganizedNeighbor< PointT >::Entry Struct Reference

`#include <pcl/search/organized.h>`

## Public Member Functions

| Entry (int idx, float dist)
| Entry ()
bool | operator< (const Entry &other) const

## Public Attributes

unsigned | index
float | distance

## Detailed Description

### template<typename PointT>
struct pcl::search::OrganizedNeighbor< PointT >::Entry

Definition at line 194 of file organized.h.

## Constructor & Destructor Documentation

## Entry() [1/2]

template<typename PointT>

pcl::search::OrganizedNeighbor< PointT >::Entry::Entry | ( | int | idx,
|  | float | dist
| ) |  |

inline

Definition at line 196 of file organized.h.

## Entry() [2/2]

template<typename PointT>

pcl::search::OrganizedNeighbor< PointT >::Entry::Entry | ( |  | ) |

inline

Definition at line 197 of file organized.h.

## Member Function Documentation

## operator<()

template<typename PointT>

bool pcl::search::OrganizedNeighbor< PointT >::Entry::operator< | ( | const Entry & | other | ) | const

inline

Definition at line 202 of file organized.h.

References pcl::search::OrganizedNeighbor< PointT >::Entry::distance.

## Member Data Documentation

## distance

template<typename PointT>

float pcl::search::OrganizedNeighbor< PointT >::Entry::distance

Definition at line 199 of file organized.h.

Referenced by pcl::search::OrganizedNeighbor< PointT >::Entry::operator<().

## index

template<typename PointT>

unsigned pcl::search::OrganizedNeighbor< PointT >::Entry::index

Definition at line 198 of file organized.h.

Referenced by pcl::search::OrganizedNeighbor< PointT >::testPoint().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/search/include/pcl/search/organized.h